dbXML API

## com.dbxml.db.enterprise.jsp
Class GetDocumentTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.dbxml.db.enterprise.jsp.GetDocumentTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class GetDocumentTag
extends javax.servlet.jsp.tagext.TagSupport

GetDocumentTag creates a reference to a Document or streams its contents to the JspWriter.
Example:

       <dbxml:get name="myDoc" collection="myCol" key="myDoc.xml"/>

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetDocumentTag()`

Method Summary
`int` `doStartTag()`
`java.lang.String` `getCollection()`
`java.lang.String` `getKey()`
`java.lang.String` `getName()`
`boolean` `isPrefix()`
`boolean` `isText()`
`void` `setCollection(java.lang.String collection)`
`void` `setKey(java.lang.String key)`
`void` `setName(java.lang.String name)`
`void` `setPrefix(boolean prefix)`
`void` `setText(boolean text)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetDocumentTag

    public GetDocumentTag()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getCollection

    public java.lang.String getCollection()

### setCollection

    public void setCollection(java.lang.String collection)

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

### isPrefix

    public boolean isPrefix()

### setPrefix

    public void setPrefix(boolean prefix)

### isText

    public boolean isText()

### setText

    public void setText(boolean text)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

dbXML API

Copyright (c) 2004 The dbXML Group